// 	MAEGestalt.cp
// 	Copyright  1991 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This is the main-main file, it all starts here...

// INCLUDES

#ifndef __AEGESTALT__
#include "UAEGestalt.h"
#endif


// T H E   M A I N	P R O G R A M

#pragma processor 68000
#pragma segment Main


TAEApplication* gAEApplication = NULL;		// the application object 

void main()
{
	InitToolBox();							// essential toolbox and utilities initialization

	// make sure we can run
	if (ValidateConfiguration(gConfiguration) && 
		gConfiguration.hasColorQD && gConfiguration.hasAppleEventMgr)
	{	
		// we made it! Continue with remainder of initialization 
		
		InitUMacApp(8);						// initialize MacApp; 8 calls to MoreMasters
		InitUDialog();						// initialize the TDialog view handling

		// construct a new TAEApplication object, allocation errors are checked for.
		gAEApplication = new TAEApplication;
		gAEApplication->IAEApplication(kFileType, kSignature);

		gAEApplication->Run(); 			// run the application, when it's done - exit.
	}
	else
		StdAlert(phUnsupportedConfiguration);
}


