#ifndef __TEXTEDITCONTROL__
#define __TEXTEDITCONTROL__

#ifndef __TYPES__
#include <types.h>
#endif

#ifndef __TEXTEDIT__
#include <TextEdit.h>
#endif

#ifndef __WINDOWS__
#include <Windows.h>
#endif

pascal void		AsmNoCaret(Rect *caretRect);
pascal Boolean	AsmTEClikLoop(void);
void			CTEActivate(TEHandle teHndl);
Boolean			CTEClick(EventRecord *event);
void			CTEClikLoop(void);
void			CTEClipboard(short menuID);
pascal long		CTECtl(short varCode, ControlHandle ctl, short msg, long parm);
void			CTEDeactivate(void);
void			CTEDispose(TEHandle teHndl);
TEHandle		CTEDisposeView(ControlHandle viewCtl);
short			CTEDocHeight(TEHandle teHndl);
Boolean			CTEEditMenu(Boolean *activeItem, short editMenu, short undoID, short cutID);
Boolean			CTEEvent(EventRecord *event);
Boolean			CTEFind(WindowPtr window, EventRecord *event, TEHandle *teHndl,
						ControlHandle *ctlHit);
TEHandle		CTEFromScroll(ControlHandle scrollCtl, ControlHandle *retCtl);
void			CTEHide(TEHandle teHndl);
void			CTEIdle(void);
Boolean			CTEKey(EventRecord *event);
void			CTEMove(TEHandle teHndl, short newH, short newV);
void			CTENew(short viewID, WindowPtr window, TEHandle *teHndl, Rect *dRect,
					   Rect *vRect, Rect *bRect, short maxTextLen, short mode);
void			CTENewUndo(ControlHandle viewCtl, Boolean alwaysNewUndo);
ControlHandle	CTENext(WindowPtr window, TEHandle *teHndl, ControlHandle ctl);
short			CTENumTextLines(TEHandle teHndl);
short			CTENumViewLines(TEHandle teHndl);
OSErr			CTEPrint(TEHandle teHndl, short *offset, Rect *rct);
Boolean			CTEReadOnly(TEHandle teHndl);
ControlHandle	CTEScrollFromTE(TEHandle teHndl, Boolean vertScroll);
ControlHandle	CTEScrollFromView(ControlHandle viewCtl, Boolean vertScroll);
void			CTESetSelect(short start, short end, TEHandle teHndl);
void			CTEShow(TEHandle teHndl);
void			CTESize(TEHandle teHndl, short dx, short dy);
Handle			CTESwapText(TEHandle teHndl, Handle newText, Boolean update);
WindowPtr		CTETargetInfo(TEHandle *teHndl, Rect *teView);
void			CTEUndo(void);
void			CTEUpdate(TEHandle teHndl, ControlHandle ctl);
ControlHandle	CTEViewFromTE(TEHandle teHndl);
void			CTEWindActivate(WindowPtr window, Boolean activate);

#define cteReadWrite		0
#define cteReadOnly			1
#define cteHScroll			2
#define cteHScrollAndGrow	6
#define cteVScroll			8
#define cteVScrollAndGrow	24

#endif __TEXTEDITCONTROL__
