#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __PRINTING__
#include <Printing.h>
#endif

/********/

typedef struct {
	short			version;			/* The file format version.						*/
	Boolean			printRecValid;		/* True if print record has been created.		*/
	TPrint			print;				/* Print record for file.						*/
	short			endVersPrintInfo;	/* End version and print information.			*/

#if MACSHELL_VERSION

	Handle			textHndl;			/* Temporarily holds opened document text.		*/
	TEHandle		inBox;				/* Handles to TextEdit in-box.					*/
	TEHandle		outBox;				/* Handles to TextEdit out-box.					*/

#endif

} TheDoc;

