#ifndef __LISTCONTROL__
#define __LISTCONTROL__

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __LISTS__
#include <Lists.h>
#endif

#ifndef __WINDOWS__
#include <Windows.h>
#endif

typedef struct CLDataRec {
	short	txFont;
	Style	txFace;
	short	txMode;
	short	txSize;
	short	mode;
} CLDataRec;
typedef CLDataRec *CLDataPtr, **CLDataHndl;

void			CLActivate(Boolean active, ListHandle listHndl);
void			CLBorderDraw(ListHandle listHndl);
Boolean			CLClick(EventRecord *event, short *dblClick);
pascal long		CLCtl(short varCode, ControlHandle ctl, short msg, long parm);
ControlHandle	CLCtlHit(void);
Boolean			CLEvent(EventRecord *event, short *dblClick);
ListHandle		CLFindActive(WindowPtr window);
Boolean			CLFindCtl(WindowPtr window, EventRecord *event, ListHandle *listHndl, ControlHandle *ctlHit);
ListHandle		CLFromScroll(ControlHandle scrollCtl, ControlHandle *retCtl);
short			CLInsert(ListHandle listHndl, char *data, short dataLen, short row, short col);
Boolean			CLKey(EventRecord *event);
ListHandle		CLNew(short viewID, Rect *vRect, short numRows, short numCols, short cellHeight, short cellWidth, short theLProc, WindowPtr window, short mode);
ControlHandle	CLNext(WindowPtr window, ListHandle *listHndl, ControlHandle ctl);
void			CLPrint(RgnHandle clipRgn, ListHandle listHndl, short *row, short *col, short leftEdge, Rect *drawRct);
short			CLRowOrColSearch(ListHandle listHndl, char *data, short dataLen, short row, short col);
void			CLUpdate(RgnHandle clipRgn, ListHandle list);
ControlHandle	CLViewFromList(ListHandle listHndl);
void			CLWindActivate(WindowPtr window);

#define clHScroll		1
#define clVScroll		2
#define clActive		4
#define clShowActive	8
#define clKeyPos		16
#define clDrawIt		0x8000

#endif __LISTCONTROL__

