// 	Copyright  1991 Apple Computer, Inc. All rights reserved.
//	UAEServerCommand.cp
//	Kent Sandvik DTS
//	This file contains the TAEServer member functions, for serving
//	incoming Apple events.


#ifndef __AESERVERCOMMAND__
#include "UAEServerCommand.h"
#endif


//	Empty constructor - for avoiding ptabs in global data space
#pragma segment ARes
TAEServerCommand::TAEServerCommand() {}					


//	Process the incoming client AppleEvent, and return the needed information,
//	in our case the gConfiguration structure resident in memory.

#pragma segment ADoCommand
pascal void TAEServerCommand::DoIt()
{
	fReply->WriteParameterPtr(kAEConfig, typeConfig, (Ptr) &gConfiguration,
									sizeof(gConfiguration));
	fReply->Send();
}

